local mod = LibStub("AceAddon-3.0"):GetAddon("InternalCooldowns"):NewModule("Forte Cooldown", "AceEvent-3.0")
local lib = LibStub("LibInternalCooldowns-1.0")

if not _G.FW then return end

local cb = function(callback, itemID, spellID, start, duration)
	local name = GetSpellInfo(spellID)
	local texture = select(10, GetItemInfo(itemID))
	FW:HiddenCooldown(name, duration, texture)
end

function mod:OnEnable()
	lib.RegisterCallback(mod, "InternalCooldowns_Proc", cb)
end

function mod:OnDisable()
	lib.UnregisterCallback(mod, "InternalCooldowns_Proc")
end
